﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using Infragistics.Windows.Editors;
using Infragiestics_DragDropControls.Models;


namespace Infragiestics_DragDropControls
{
    public class LandingPageViewModel : INotifyPropertyChanged
    {
        #region Private Members
        private List<SummaryRAG> _DetailList;
        private Infragistics.BrushCollection _DetailChartBrushes;             
        #endregion Private Members
        public LandingPageViewModel()
        {
            InitializeData();
        }
        public Infragistics.BrushCollection DetailChartBrushes
        {
            get { return _DetailChartBrushes; }
            set { _DetailChartBrushes = value; OnPropertyChanged("DetailChartBrushes"); }
        }
        public List<SummaryRAG> DetailList
        {
            get
            {
                return _DetailList;
            }
            set
            {
                _DetailList = value;
            }
        }
        private void InitializeData()
        {
            DetailList = new List<SummaryRAG>()
            {
                 new SummaryRAG(){Caption =50,Id= 1,Name= "Red",Value= 50},                 
                 new SummaryRAG(){Caption =30,Id= 3,Name= "Green",Value= 30},
            };
            DetailChartBrushes = new Infragistics.BrushCollection();
            foreach (var chart in DetailList)
            {
                switch (chart.Id)
                {
                    case 1:
                        DetailChartBrushes.Add(new System.Windows.Media.SolidColorBrush(System.Windows.Media.Color.FromRgb(255, 0, 0)));
                        break;
                    case 2:
                        DetailChartBrushes.Add(new System.Windows.Media.SolidColorBrush(System.Windows.Media.Color.FromRgb(255, 165, 0)));
                        break;
                    case 3:
                        DetailChartBrushes.Add(new System.Windows.Media.SolidColorBrush(System.Windows.Media.Color.FromRgb(0, 100, 0)));
                        break;
                    case 0:
                        DetailChartBrushes.Add(new System.Windows.Media.SolidColorBrush(System.Windows.Media.Color.FromRgb(105, 105, 105)));
                        break;
                  }
            }
        }

        #region INotifyPropertyChanged
        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion
    }
}
